Correctifs dans opsi 4.1 stable et testing

Ce forum est dédié au nouveautés, événements autour du projet Opsi
otto
Beiträge: 79
Registriert: 08 Aug 2017, 12:16

Correctifs dans opsi 4.1 stable et testing

Beitragvon otto » 27 Feb 2020, 14:43

Chers utilisateurs d'opsi,

avec la version d'aujourd'hui, nous publions plusieurs paquets opsi dans stable et testing comme correctif pour les paquets publiés dans la version du 4 2 2020.

RAPPEL:
opsi – Client Management – conférence à Mainz:
Am: 02. / 03. März 2020
Il y a encore des places libres!
Infos + inscription unter:
https://www.opsiconf.org/home/

=====================================
Paquets actualisés dans testing:
=====================================

Paquets Windows Localboot:

* opsi-configed_4.1.6.1.13-1
* opsi-auto-update 4.1.0.0-3
* opsi-client-agent 4.1.0.0-40

Paquets Linux Localboot:

* opsi-configed_4.1.6.1.13-1


Paquets opsi-local-image Localboot:

* opsi-vhd-auto-upgrade (4.1.0.0-13)

Paquets Windows Netboot:

* aucun


Paquets Linux Netboot:

* aucun


Paquets opsi-local-image Netboot:

* aucun


Produits serveur opsi:

* aucun

opsi Manuals

* aucun

=====================================
Paquets actualisés dans stable
=====================================
=====================================


Paquets Windows Localboot:

* opsi-configed_4.1.6.1.13-1

Paquets Linux Localboot:

* opsi-configed_4.1.6.1.13-1

Paquets opsi-local-image Localboot:

* opsi-vhd-auto-upgrade (4.1.0.0-13)

Paquets Windows Netboot:

* aucun


Paquetss Linux Netboot:

* aucun


Paquets opsi-local-image Netboot:

* aucun

Produits serveuropsi:

* aucun

opsi Manuals

* Aucune actualisation

#################################################################################

cordialement

detlef oertel

Voilà les

Changelogs
--------------------

Code: Alles auswählen


===========================================================================================

opsi-configed (4.1.6.1.13-1) STABLE; urgency=medium

* fix NPE in GenTableModel because of filter not existing

-- r.roeder <r.roeder@uib.de> Thu, 06 Feb 2020 13:01:40 +0100

===========================================================================================

opsi-auto-update (4.1.0.0-3) stable; urgency=low

   * check if $fatal_error$ = true

-- detlef oertel <d.oertel@uib.de>  Mon, 10 Feb 2020 15:00:00 +0200

opsi-auto-update (4.1.0.0-2) stable; urgency=low

   * check if opsi-vhd-tester and / or opsi-local-image-tester is installed and do not try to set if not
   * add opsi-vhd-control to blacklist

-- detlef oertel <d.oertel@uib.de>  Fri, 07 Feb 2020 15:00:00 +0200

opsi-auto-update (4.1.0.0-1) stable; urgency=low

   * renamed from opsi-auto-upgrade

-- detlef oertel <d.oertel@uib.de>  Mon, 20 Dec 2020 15:00:00 +0200

opsi-auto-upgrade (4.1.0.0-1) stable; urgency=low

   * inital based on opsi-vhd-auto-upgrade (4.1.0.0-12)
   * now also for standard installation and opsi-local-image
   * new property (Whitelist) products_to_include

-- detlef oertel <d.oertel@uib.de>  Thu, 12 Dec 2019 15:00:00 +0200

===========================================================================================

opsi-client-agent (4.1.0.0-40) experimental; urgency=low

  * update to opsiclientkiosk 4.1.1.2: fixed that last product was not within the sqlite database
  * edit postinst: set config "software-on-demand.admin-mode" to false by default (e.g. if not existing)
  * copy kiosk icons via zip (Detlef Oertel, Tue, 04 Feb 2020)

-- Jan Werner <j.werner@uib.de>  Mon, 7 Feb 2020:12:04:00 +0200

opsi-client-agent (4.1.0.0-39) experimental; urgency=low

 * handle service_hidden_password also as confidential
 * update opsiclientd to 4.0.99:
       * Bugfix in WorkingWindow Implementation.
       * Fix for support of beta utf-8 feature in Win10

 -- Erol Ueluekmen <e.ueluekmen@uib.de>  Wed, 21 Jan 2020 02:23:06 +0100

-- Detlef Oertel <d.oertel@uib.de>  Mo, 20 Jan 2019:15:00:00 +0200

opsi-client-agent (4.1.0.0-38) experimental; urgency=low

 * update to opsi-script 4.12.3.1
 * opsi-deploy-client-agent: compatible with opsi 4.1 and 4.2

 -- Niko Wenselowski <n.wenselowski@uib.de>  Mon, 18 Nov 2019 18:42:44 +0200

opsi-client-agent (4.1.0.0-37) experimental; urgency=low

  * new property: legacy_loginblocker_dll
     false=new version (83 von 10.2019) true=old version (1.2.1.0 von 8.2016)
     default=false
  * opsiclientd 4.0.98:
       * Event Working-Window Implementation.
       * Small fix in CacheBackend; Update depotId before caching.
       * New Controlserver methods: log_read, getRunningEvent, getState, setState added.
       * Check for TrustedInstaller configurable
  * service_setup.cmd (nt6): additional '-wait' in call of opsi-script (do 5.11.19)
  * update to opsi-script 4.12.3 (do 5.11.19)
  * update openssl to 1.0.2t (do 7.11.19)

-- Erol Ueluekmen <e.ueluekmen@uib.de>  Mon, 28 Oct 2019:22:00:00 +0200

opsi-client-agent (4.1.0.0-36) experimental; urgency=low

  * new property: update_mac_address_on_normal_setup
     true=MAC Address from the Network Interface that communicates with opsi will be send to the opsi-server if it do not look like a wifi interface.
     false=Never send MAC but in install mode
  * patch_config_file.py now works with opsi 4.2.
  * opsi-kiosk: custom directories for icons and screenshots
  * update to opsi-script 4.12.2.3

-- Detlef Oertel <d.oertel@uib.de>  Fri, 16 Aug 2019:15:00:00 +0200

opsi-client-agent (4.1.0.0-35) experimental; urgency=low

  * new opsiclientd with working window

-- Detlef Oertel <d.oertel@uib.de>  Fri, 16 Aug 2019:15:00:00 +0200

opsi-client-agent (4.1.0.0-34) stable; urgency=low

  * switch back to opsiclientd 4.0.96
  * update to opsikioskclient 4.1.1.0 (jw)

-- Detlef Oertel <d.oertel@uib.de>  Mon, 12 Aug 2019:15:00:00 +0200

opsi-client-agent (4.1.0.0-33) stable; urgency=low

  * opsiclientd 4.0.97

-- Erol Ueluekmen <e.ueluekmen@uib.de>  Wed, 12 Jun 2019:15:00:00 +0200

===========================================================================================

opsi-vhd-auto-upgrade (4.1.0.0-13) stable; urgency=low

   * check if opsi-vhd-tester is installed and do not try to set if not
   * remove default (dom_cred_reset) from properties products_to_run_always and setup_after_install
   * add opsi-vhd-control to blacklist

-- detlef oertel <d.oertel@uib.de>  Fri, 07 Feb 2020 15:00:00 +0200

===========================================================================================